# Miscellaneous
./marking_app/*.class
./marking_app/*.log
./marking_app/*.pyc
./marking_app/*.swp
./marking_app/.DS_Store
./marking_app/.atom/
./marking_app/.buildlog/
./marking_app/.history
./marking_app/.svn/
./marking_app/migrate_working_dir/
./marking_app/**/*.g.dart
./marking_app/*.g.dart
./marking_app/*/*.g.dart
./marking_app/.dart_tool/*
./marking_app/.fvm/*
./marking_app/.fvm/fvm_config.json
./marking_app/.fvm/flutter_sdk/*

# IntelliJ related
./marking_app/*.iml
./marking_app/*.ipr
./marking_app/*.iws
./marking_app/.idea/

# The .vscode folder contains launch configuration and tasks you configure in
# VS Code which you may wish to be included in version control, so this line
# is commented out by default.
#.vscode/

# Flutter/Dart/Pub related
./marking_app/**/doc/api/
./marking_app/**/ios/Flutter/.last_build_id
./marking_app/.dart_tool/
./marking_app/.flutter-plugins
./marking_app/.flutter-plugins-dependencies
./marking_app/.packages
./marking_app/.pub-cache/
./marking_app/.pub/
./marking_app/build/
./marking_app/pubspec.lock

# Web related
./marking_app/lib/generated_plugin_registrant.dart

# Symbolication related
./marking_app/app.*.symbols

# Obfuscation related
./marking_app/app.*.map.json

# Android Studio will place build artifacts here
./marking_app/android/app/debug
./marking_app/android/app/profile
./marking_app/android/app/release



*/*.g.dart
marking_app/lib/common/model/marking/marking_submit_result.g.dart
marking_app/lib/common/model/marking/progress_of_marking.g.dart
marking_app/lib/utils/image/gallery_example_item_model.g.dart
marking_app/macos/Flutter/GeneratedPluginRegistrant.swift
marking_app/pubspec.lock
marking_app/lib/common/model/common/base_page.g.dart
marking_app/lib/common/model/common/base_page_data.g.dart
marking_app/lib/common/model/common/base_structure_result.g.dart
marking_app/lib/common/model/marking/current_review_task.g.dart
marking_app/lib/common/model/marking/marking_item.g.dart
marking_app/lib/common/model/marking/marking_list_params.g.dart
marking_app/lib/common/model/marking/marking_text_question.g.dart
marking_app/lib/common/model/marking/marking_text_question_params.g.dart
marking_app/lib/common/model/marking/submit_exam_params.g.dart
marking_app/lib/common/model/marking/submit_exam_small_params.g.dart
marking_app/lib/common/model/progress/progress_item.g.dart
marking_app/lib/common/model/progress/progress_page_params.g.dart
marking_app/lib/common/model/progress/progress_statistics.g.dart
marking_app/lib/common/model/review/additional_conditions_for_review.g.dart
marking_app/lib/common/model/review/review_item.g.dart
marking_app/lib/common/model/review/review_page_params.g.dart
marking_app/lib/common/model/review/review_tab.g.dart
marking_app/lib/common/model/sys/system_version.g.dart
marking_app/lib/common/model/user/user_info.g.dart
marking_app/lib/common/model/user/user_login.g.dart
marking_app/lib/common/model/user/user_login_params.g.dart
marking_app/lib/utils/request/rest_client.g.dart
marking_app/windows/flutter/generated_plugin_registrant.cc
marking_app/linux/flutter/generated_plugin_registrant.cc
marking_app/linux/flutter/generated_plugin_registrant.h
marking_app/linux/flutter/generated_plugins.cmake
marking_app/windows/flutter/generated_plugin_registrant.h
marking_app/windows/flutter/generated_plugins.cmake
marking_app/lib/common/model/marking/do_marking_keyboard_model.g.dart
marking_app/lib/common/model/common/upload_img_secret_key.g.dart
marking_app/lib/common/model/event_bus/bottom_annotation_switch_cleanall.g.dart
marking_app/lib/common/model/marking/marking_text_question_tab_params.g.dart
marking_app/lib/common/model/marking/marking_tag_single_params.g.dart
marking_app/lib/common/model/marking/marking_text_question_tab.g.dart
marking_app/lib/common/model/marking/marking_text_question_tab_step_size.g.dart
marking_app/lib/utils/request/rest_client_report.g.dart
marking_app/lib/pages/reports/services/report_home_services.g.dart
marking_app/lib/pages/reports/index.g.dart
marking_app/lib/common/model/user/user_info_report.g.dart
marking_app/lib/common/model/report/marked_item_params.g.dart
marking_app/lib/common/model/report/marked_item.g.dart
marking_app/lib/common/model/common/base_structure_result_report.g.dart
marking_app/lib/common/model/common/base_page_data_report.g.dart
marking_app/lib/common/model/common/base_page_report.g.dart
marking_app/lib/pages/reports/report_personal_subject.g.dart
marking_app/lib/common/model/report/report_for_class_teacher_params.g.dart
marking_app/lib/common/model/report/report_for_marking_pagerdetail_model.g.dart
marking_app/lib/common/model/report/report_for_marking_pagerdetail_params.g.dart
marking_app/lib/common/model/report/report_for_subject_student_model.g.dart
marking_app/lib/common/model/report/report_for_subject_student_params.g.dart
marking_app/lib/common/model/report/report_for_subject_teacher_model.g.dart
marking_app/lib/common/model/report/report_for_subject_teacher_params.g.dart
marking_app/lib/common/model/report/report_home_model.g.dart
marking_app/lib/common/model/report/report_for_class_teacher_model.g.dart
marking_app/lib/pages/reports/report_class_teacher.g.dart
marking_app/lib/pages/reports/report_subject_teacher.g.dart
marking_app/lib/common/model/report/radar_chart_model.g.dart
marking_app/lib/common/model/report/report_histogram_model.g.dart
marking_app/lib/common/model/marking/annotation_graffiti_switch.g.dart
marking_app/lib/common/model/marking/review_records_item.g.dart
marking_app/lib/common/model/marking/review_records_params.g.dart
marking_app/lib/components/marking/review_records_view.g.dart




marking_app/lib/common/model/event_bus/job_submit_bus.g.dart
marking_app/lib/common/model/event_bus/large_question_scoring_bus.g.dart
marking_app/lib/common/model/event_bus/question_switch_bus.g.dart
marking_app/lib/common/model/job/marking_text_question_job.g.dart
marking_app/lib/common/model/job/marking_text_question_job_params.g.dart
marking_app/lib/common/model/job/marking_text_question_job_tab_params.g.dart
marking_app/lib/pages/home/index.g.dart
marking_app/lib/pages/homework_correction/components/setPreference.g.dart
marking_app/lib/pages/homework_correction/do_papers.g.dart

marking_app/lib/common/model/event_bus/job_currenttab_finish_addtion.g.dart
marking_app/lib/common/model/event_bus/job_large_question_scoring_bus.g.dart
marking_app/lib/common/model/event_bus/job_question_switch_bus.g.dart
marking_app/lib/common/model/job/review_again_list_params.g.dart
marking_app/lib/pages/homework_correction/components/keyboardBox.g.dart
marking_app/lib/components/PictureOverview.g.dart
marking_app/lib/common/model/marking/marking_abnormal_res.g.dart
marking_app/lib/common/model/marking/marking_statistics.g.dart
marking_app/lib/common/model/marking/submit_exam_abnormal_params.g.dart
marking_app/lib/pages/marking/do_papers.g.dart
marking_app/lib/common/model/job/test_questions_image_info.g.dart
marking_app/.fvm/fvm_config.json
marking_app/.fvm/flutter_sdk
marking_app/lib/common/model/job/upload_file_interface_config_params.g.dart
marking_app/lib/common/model/job/upload_file_interface_config.g.dart
marking_app/lib/common/model/marking/marking_zoom.g.dart
marking_app/lib/pages/homework_correction/components/jobPictureOverview.g.dart
marking_app/lib/pages/homework_correction/components/theExamPaperDrawing.g.dart
marking_app/lib/common/model/job/job_note_taking_trajectory.g.dart
marking_app/lib/pages/homework_correction/components/trajectoryView.g.dart
marking_app/lib/common/model/marking/marking_keyboard_sliding_position.g.dart
marking_app/lib/common/model/marking/rating_progress_model.g.dart
marking_app/lib/common/model/marking/marking_common_score_items.g.dart
marking_app/lib/components/marking/marking_seting.g.dart
marking_app/lib/common/model/marking/switch_keyboard_to_reload_images.g.dart
marking_app/lib/pages/homework_correction/components/homework_tasks_view_item.g.dart
marking_app/lib/pages/homework_correction/components/new_version_of_homework/homework_tasks_view_item.g.dart
marking_app/lib/common/model/event_bus/jobs/job_do_papers_switch_operation_bus.g.dart
marking_app/lib/pages/homework_correction/do_papers_job.g.dart
marking_app/lib/common/model/event_bus/jobs/job_do_papers_student_bus.g.dart
marking_app/lib/common/model/job/job_concerned_with_student_params.g.dart
marking_app/lib/common/model/job/job_concerned_with_student.g.dart
marking_app/lib/common/model/job/job_page_tab.g.dart
marking_app/lib/common/model/job/job_review_submission.g.dart
marking_app/lib/common/model/job/job_task_item.g.dart
marking_app/lib/pages/homework_correction/index.g.dart
marking_app/lib/pages/homework_correction/eventBus/marking_text_question_job_tab_params_bus.g.dart
marking_app/lib/pages/homework_correction/index.g.dart
marking_app/lib/pages/homework_correction/index.g.dart
marking_app/lib/pages/homework_correction/eventBus/job_check_switching_question_tab_bus.g.dart
marking_app/lib/common/model/job/job_collect_params.g.dart
marking_app/lib/pages/homework_correction/eventBus/do_papers_job_custom_paint_size_bus.g.dart
marking_app/lib/pages/homework_correction/eventBus/do_papers_job_refresh_bus.g.dart
marking_app/lib/pages/homework_correction/eventBus/job_do_papers_switch_operation_sub_bus.g.dart
marking_app/lib/pages/homework_correction/eventBus/job_notes_view_bus.g.dart
marking_app/lib/pages/homework_correction/eventBus/job_notes_view_bus.g.dart
marking_app/lib/common/model/job/job_report_model.g.dart
marking_app/lib/common/model/job/job_report_join_class.g.dart
marking_app/lib/pages/homework_correction/job_report.g.dart
marking_app/lib/common/model/report/detail_base_info.g.dart
marking_app/lib/common/model/report/exam_records_all.g.dart
marking_app/lib/common/model/report/exam_records_params.g.dart
marking_app/lib/common/model/report/exam_records.g.dart
marking_app/lib/common/model/report/question_know_point.g.dart
marking_app/lib/common/model/report/report_card_params.g.dart
marking_app/lib/common/model/report/report_card.g.dart
marking_app/lib/common/model/report/report_marking_detail_params.g.dart
marking_app/lib/common/model/report/report_marking_detail.g.dart
marking_app/lib/common/model/job/job_report_knowledge_model.g.dart
marking_app/lib/common/model/job/job_report_question_deatil_model.g.dart
marking_app/lib/common/model/job/job_do_marking_status_info.g.dart
marking_app/lib/common/model/report/small_question.g.dart
marking_app/lib/pages/homework_correction/pages/job_list_participate_in_class.g.dart
marking_app/lib/common/model/job/job_favorite_model.g.dart
marking_app/lib/common/model/job/job_level_set_params.g.dart
marking_app/lib/common/model/job/job_student_goups.g.dart
marking_app/lib/common/model/job/job_student_level.g.dart
marking_app/lib/common/model/job/job_favorite_item_model.g.dart
marking_app/lib/pages/homework_correction/pages/job_favorite.g.dart
marking_app/lib/common/model/job/job_fav_student.g.dart
marking_app/lib/common/model/job/job_data_report.g.dart
marking_app/lib/common/model/job/job_student_history.g.dart
marking_app/lib/pages/homework_correction/job_personal_detail.g.dart
marking_app/lib/common/model/event_bus/jobs/job_do_papers_submit_check_switch_bus.g.dart
marking_app/lib/common/model/event_bus/jobs/job_do_synchro_tab.g.dart
marking_app/lib/pages/homework_correction/widget/top_count.g.dart
marking_app/lib/pages/homework_correction/job_knowledge_points.g.dart
